/*

 * Asynchronous Engine .

 * 

 * Copyright (C) 2004 Claude Hussenet

 * Contact : chussenet@yahoo.com

 * 

 * Distributable under LGPL license.

 * See terms of license at gnu.org.

 */

package org.jboss.aspects.asynchronous.concurrent;

import org.jboss.aspects.asynchronous.AsynchronousParameters;
import org.jboss.aspects.asynchronous.AsynchronousUserTask;


/**
 * @author <a href="mailto:chussenet@yahoo.com">{Claude Hussenet Independent Consultant}</a>.
 * @version <tt>$Revision: 1.2.4.3 $</tt>
 */

public interface AsynchronousTask extends org.jboss.aspects.asynchronous.AsynchronousTask

{

   AsynchronousParameters getInputParameters();

   long getTimeout();

   AsynchronousUserTask getTask();


   long getStartingTime();

   long getEndingTime();


   Runnable add() throws Exception;

}

